ILUCosNaming(1)

NAME
ILUCosNaming - a server providing the CORBA COS Naming service

SYNOPSIS
ILUCosNaming [-p PORT] [-h HOSTNAME] [-sid SID] [-ih IH] [-f BACKING-FILE] [-sid_and_ih_from_IOR STRINGIFIED-IOR] [-ior]

DESCRIPTION
ILUCosNaming is a server program which implements the the CORBA standard `COS Naming' service. This program is installed with ILU if the configuration options for ILU include support for the C programming language, the OMG IDL interface definition language, and the CORBA IIOP wire protocol. The interface to the service is defined in "ILUHOME/interfaces/CosNaming.idl".

The program supports the following command-line options:

-p PORT
    Allows specification of the port on which the server will listen for connections. If this is not specified, the server will use a randomly assigned free port, and the CORBA IOR for the service will differ from invocation to invocation. If you want the service to have an unchanging CORBA IOR or ILU SBH, this must be specified.

-h HOSTNAME
    Allows overriding the default hostname for the machine. This switch is mainly for multi-ported machines (machines which have two or more different IP addresses). The default hostname is whatever is returned by the gethostname(2) system call on your machine.

-sid SID
    Allows specification of a server ID for the root object exported by the naming service, and all subsequent naming contexts created in that server. If none is specified, the default used is "CosNaming_HOSTNAME", where HOSTNAME is the hostname being used.

-ih IH
    Allows specification of an instance handle for the root object exported by the naming service. This defaults to "root".

-f FILENAME
    Allows you to specify the name of a file in which the server will store a backup of the various registrations currently active. If the server is restarted, and this file already exists, the server will read this file, and use the registrations in it as the current set of registrations. This file should be in a directory which can be read and written by the user identity under which the `ILUCosNaming' program is running. The default is a file called "/tmp/ILUCosNaming.SID", where SID is the server ID specified or defaulted to for the program.

-sid_and_ih_from_IOR STRINGIFIED-IOR
    It is sometimes useful to use the `ILUCosNaming' program to mimic the name service provided by another ORB. In particular, this means that the root object should have the same server ID and instance handle provided by that other service. To accomplish this, you can start `ILUCosNaming' with the stringified IOR for that other service, and it will use the server ID and instance handle in that IOR for its server ID and instance handle. Note that you may also need to specify the port and hostname with the -h and -p options to exactly mimic the other service.

-ior
    If this option is specified, the service will write its CORBA IOR to the standard output after it has successfully initialized. This is sometimes useful when this service is being used with a non-ILU CORBA ORB.

In general, the user shouldn't have to specify the hostname, server ID, instance handle, or filename; the defaults work pretty well. It is useful to specify the port in most applications, just so that the service always has the same string binding handle, which will be
ilu:SID/IH;IDL%3Aomg.org%2FCosNaming%2FNamingContext%3A1.0;iiop_1_0_1@tcp_HOST_PORT
where SID, IH, HOST, and PORT are the values for the server ID, instance handle, hostname, and port, as given above.

SEE ALSO
You should look at any CORBA book, or the COS Naming service specification (ftp://ftp.omg.org/pub/docs/formal/97-07-04.pdf) itself, for more information on how to use the naming service with applications. Note that the ILU implementation does not include the client-side `Names Library' described in the specification. Applications are expected to use the service functionality directly.

AUTHOR
Bill Janssen, Xerox PARC

SUGGESTIONS AND BUG REPORTS
Please send suggestions to <ilu-core@parc.xerox.com>.
Please send bug reports to <ilu-bugs@parc.xerox.com>, to make sure they get into the bugs database.